Crear webhook
curl --request POST \
--url https://api.linahealthcareplatform.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [
"<string>"
],
"secret": "<string>"
}
'import requests
url = "https://api.linahealthcareplatform.com/api/v1/webhooks"
payload = {
"url": "<string>",
"events": ["<string>"],
"secret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: ['<string>'], secret: '<string>'})
};
fetch('https://api.linahealthcareplatform.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wh_abc123",
"url": "https://tu-servidor.com/webhooks/lina",
"events": ["form.completed", "call.ended", "credits.low"],
"secret": "whsec_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6",
"status": "active",
"createdAt": "2026-05-14T10:00:00Z"
}
Webhooks
Crear webhook
Registra un nuevo endpoint de webhook para recibir notificaciones de eventos.
POST
/
webhooks
Crear webhook
Body
URL HTTPS de tu endpoint que recibirá los eventos.
Lista de eventos a los que suscribirte. Valores:
patient.created, form.completed, call.ended, conversation.ended, credits.low, schedule.sent.Clave secreta para firmar los webhooks con HMAC-SHA256. Si se omite, se genera automáticamente.
{
"id": "wh_abc123",
"url": "https://tu-servidor.com/webhooks/lina",
"events": ["form.completed", "call.ended", "credits.low"],
"secret": "whsec_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6",
"status": "active",
"createdAt": "2026-05-14T10:00:00Z"
}
Identificador único del webhook con prefijo
wh_.Clave secreta para verificar firmas. Solo se muestra en esta respuesta. Consulta la guía de webhooks para implementar la verificación.
Estado del webhook:
active o disabled.⌘I

